List Bank Reconciliation Reports
curl --request GET \
--url https://api.meetcampfire.com/coa/api/v2/reconciliation \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/coa/api/v2/reconciliation"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/coa/api/v2/reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"customer": 123,
"entity_name": "<string>",
"account": 123,
"account_name": "<string>",
"account_number": "<string>",
"account_type": "<string>",
"account_subtype": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"async_task": {
"id": 123,
"created_by_name": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer": 123,
"created_by": 123,
"error_message": "<string>",
"error_type": "<string>",
"retries": -1,
"completed_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"celery_task_id": "<string>",
"root_task_id": "<string>",
"parent_task_id": "<string>",
"trace_id": "<string>",
"span_id": "<string>",
"task_args": "<unknown>",
"task_kwargs": "<unknown>",
"result": "<unknown>",
"content": null
},
"reconciled_by_name": "<string>",
"reconciled_by_email": "<string>",
"approved_by": 123,
"approved_by_name": "<string>",
"approved_by_email": "<string>",
"approved_on": "2023-11-07T05:31:56Z",
"entity": 123,
"currency": "<string>",
"statement_starting_date": "2023-12-25",
"statement_ending_date": "2023-12-25",
"starting_balance": 0,
"ending_balance": 0,
"total_credit_amount": 0,
"total_debit_amount": 0,
"adjustments": 0,
"matching_task": 123,
"reconciled_by": 123,
"reconciled_on": "2023-12-25",
"unmatched_statement_transactions": null,
"statement_recognition_cost_usd": 0,
"statement_recognition_input_tokens": 1073741823,
"statement_recognition_output_tokens": 1073741823,
"statement_recognition_token_total": 4611686018427388000,
"statement_recognition_model_name": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Bank Reconciliation
List Bank Reconciliation Reports
Retrieve a paginated list of bank reconciliation reports. Supports filtering by start_date, end_date, entity, account, and search query (q). Default sort is by statement_ending_date descending.
GET
/
coa
/
api
/
v2
/
reconciliation
List Bank Reconciliation Reports
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Filter by account ID
Filter by maximum statement ending date (YYYY-MM-DD)
Filter by entity ID
Number of results to return per page.
The initial index from which to return the results.
Search term for account name, number, or reconciled_by name
Sort field (prefix with - for descending)
Filter by minimum statement ending date (YYYY-MM-DD)
⌘I